Subject: Re: documentation about '-d' in AM_YFLAGS is suboptimal

From: Stefano Lattarini <[email-masked]>
Date: Wed, 12 Jan 2011 23:57:55 +0100

On Wednesday 12 January 2011, Ralf Wildenhues wrote:
> 
> OK with nits addressed.
> 
> Thanks!
> Ralf
>
> [CUT]
> 
> > From a report by ???????? ????????????????????.
> 
> My email client renders this as a bunch of question marks only.  Please
> ensure that both the git log entry and the ChangeLog entry are properly
> encoded in UTF-8.
>
They should be (they both looks ok in vim with :set enc=utf-8).

> > --- a/doc/automake.texi
> > +++ b/doc/automake.texi
> > @@ -6078,7 +6078,12 @@ intended for the @file{Makefile.am} author.
> >  @code{AM_YFLAGS} is usually used to pass the @option{-d} option to
> >  @command{yacc}.  Automake knows what this means and will automatically
> >  adjust its rules to update and distribute the header file built by
> > -@samp{yacc -d}.  What Automake cannot guess, though, is where this
> > +@samp{yacc -d}@footnote{Please note that @command{automake} recognizes
> > +@option{-d} in @code{AM_YFLAGS} only if it is not clustered with other
> > +options; for example, it won't be recognized if @code{AM_YFLAGS} is
> > +@samp{-dt}, but it will be if @code{AM_YFLAGS} is @samp{-d -t} or
> > +@samp{-t -d}.}.
> 
> Generally, @footnote's should be used sparingly, as they disrupt the
> flow of reading and don't render well in the info output.  I guess it's
> acceptable here though.
> 
> Please use @option for denoting the options here.
>
OK.  Sorry for the noise, but for some stupid reason I thought that using
@option with more (whitespace-separated) arguments was inappropriate.  Go
figure.

Merged into maint and yacc-work, and merged both into master.

Thanks,
  Stefano